<bugID>1241720<Summary>Modal to promote devices from larger DB</Summary><Description>Some version of editing to change the options available in the device list.

The complexity is a bit unclear right now, since it will depend on the behavior we end up designing.</Description></bugID>